diff --git a/testing/mochitest/pywebsocket/mod_pywebsocket/mux.py b/testing/mochitest/pywebsocket/mod_pywebsocket/mux.py
index 76334685b3..bc508e7dc6 100644
--- a/testing/mochitest/pywebsocket/mod_pywebsocket/mux.py
+++ b/testing/mochitest/pywebsocket/mod_pywebsocket/mux.py
@@ -353,7 +353,7 @@ class _MuxFramePayloadParser(object):
 
         try:
             size = self._read_number()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_INVALID_MUX_CONTROL_BLOCK,
                                           str(e))
         pos = self._read_position
@@ -376,7 +376,7 @@ class _MuxFramePayloadParser(object):
         encoding = first_byte & 0x3
         try:
             control_block.channel_id = self.read_channel_id()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_INVALID_MUX_CONTROL_BLOCK)
         control_block.encoding = encoding
         encoded_handshake = self._read_size_and_contents()
@@ -394,7 +394,7 @@ class _MuxFramePayloadParser(object):
         control_block.encoding = first_byte & 0x3
         try:
             control_block.channel_id = self.read_channel_id()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_INVALID_MUX_CONTROL_BLOCK)
         control_block.encoded_handshake = self._read_size_and_contents()
         return control_block
@@ -409,7 +409,7 @@ class _MuxFramePayloadParser(object):
         try:
             control_block.channel_id = self.read_channel_id()
             control_block.send_quota = self._read_number()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_INVALID_MUX_CONTROL_BLOCK,
                                           str(e))
 
@@ -424,7 +424,7 @@ class _MuxFramePayloadParser(object):
 
         try:
             control_block.channel_id = self.read_channel_id()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_INVALID_MUX_CONTROL_BLOCK)
         reason = self._read_size_and_contents()
         if len(reason) == 0:
@@ -449,7 +449,7 @@ class _MuxFramePayloadParser(object):
         try:
             control_block.slots = self._read_number()
             control_block.send_quota = self._read_number()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_INVALID_MUX_CONTROL_BLOCK,
                                           str(e))
         return control_block
@@ -921,7 +921,7 @@ class _LogicalStream(Stream):
 
                 opcode = common.OPCODE_CONTINUATION
 
-        except ValueError, e:
+        except ValueError as e:
             raise BadOperationException(e)
         finally:
             self._write_inner_frame_semaphore.release()
@@ -960,7 +960,7 @@ class _LogicalStream(Stream):
             raise BadOperationException(
                 'Requested send_message after sending out a closing handshake')
 
-        if binary and isinstance(message, unicode):
+        if binary and isinstance(message, str):
             raise BadOperationException(
                 'Message for binary frame must be instance of str')
 
@@ -1029,7 +1029,7 @@ class _LogicalStream(Stream):
         # connection has closed gracefully.
         try:
             return Stream.receive_message(self)
-        except LogicalConnectionClosedException, e:
+        except LogicalConnectionClosedException as e:
             self._logger.debug('%s', e)
             return None
 
@@ -1144,7 +1144,7 @@ class _PhysicalConnectionWriter(threading.Thread):
         try:
             self._mux_handler.physical_stream.send_message(
                 message=message, end=True, binary=True)
-        except Exception, e:
+        except Exception as e:
             util.prepend_message_to_exception(
                 'Failed to send message to %r: ' %
                 (self._mux_handler.physical_connection.remote_addr,), e)
@@ -1185,7 +1185,7 @@ class _PhysicalConnectionWriter(threading.Thread):
                 # by the reader thread.
                 self._mux_handler.physical_stream.close_connection(
                     self._close_code, wait_response=False)
-            except Exception, e:
+            except Exception as e:
                 util.prepend_message_to_exception(
                     'Failed to close the physical connection: %r' % e)
                 raise
@@ -1233,20 +1233,20 @@ class _PhysicalConnectionReader(threading.Thread):
                         'Received a text message on physical connection')
                     break
 
-            except ConnectionTerminatedException, e:
+            except ConnectionTerminatedException as e:
                 self._logger.debug('%s', e)
                 break
 
             try:
                 self._mux_handler.dispatch_message(message)
-            except PhysicalConnectionError, e:
+            except PhysicalConnectionError as e:
                 self._mux_handler.fail_physical_connection(
                     e.drop_code, e.message)
                 break
-            except LogicalChannelError, e:
+            except LogicalChannelError as e:
                 self._mux_handler.fail_logical_channel(
                     e.channel_id, e.drop_code, e.message)
-            except Exception, e:
+            except Exception as e:
                 self._logger.debug(traceback.format_exc())
                 break
 
@@ -1278,7 +1278,7 @@ class _Worker(threading.Thread):
         try:
             # Non-critical exceptions will be handled by dispatcher.
             self._mux_handler.dispatcher.transfer_data(self._request)
-        except LogicalChannelError, e:
+        except LogicalChannelError as e:
             self._mux_handler.fail_logical_channel(
                 e.channel_id, e.drop_code, e.message)
         finally:
@@ -1392,7 +1392,7 @@ class _HandshakeDeltaBase(object):
             for key, value in delta.items():
                 # The spec requires that a header with an empty value is
                 # removed from the delta base.
-                if len(value) == 0 and headers.has_key(key):
+                if len(value) == 0 and key in headers:
                     del headers[key]
                 else:
                     headers[key] = value
@@ -1621,19 +1621,19 @@ class _MuxHandler(object):
                                     send_quota, receive_quota)
         try:
             handshaker.do_handshake()
-        except handshake.VersionException, e:
+        except handshake.VersionException as e:
             self._logger.info('%s', e)
             self._send_error_add_channel_response(
                 request.channel_id, status=common.HTTP_STATUS_BAD_REQUEST)
             return False
-        except handshake.HandshakeException, e:
+        except handshake.HandshakeException as e:
             # TODO(bashi): Should we _Fail the Logical Channel_ with 3001
             # instead?
             self._logger.info('%s', e)
             self._send_error_add_channel_response(request.channel_id,
                                                   status=e.status)
             return False
-        except handshake.AbortedByUserException, e:
+        except handshake.AbortedByUserException as e:
             self._logger.info('%s', e)
             self._send_error_add_channel_response(request.channel_id)
             return False
@@ -1660,7 +1660,7 @@ class _MuxHandler(object):
     def _process_add_channel_request(self, block):
         try:
             logical_request = self._create_logical_request(block)
-        except ValueError, e:
+        except ValueError as e:
             self._logger.debug('Failed to create logical request: %r' % e)
             self._send_error_add_channel_response(
                 block.channel_id, status=common.HTTP_STATUS_BAD_REQUEST)
@@ -1767,7 +1767,7 @@ class _MuxHandler(object):
         parser = _MuxFramePayloadParser(message)
         try:
             channel_id = parser.read_channel_id()
-        except ValueError, e:
+        except ValueError as e:
             raise PhysicalConnectionError(_DROP_CODE_CHANNEL_ID_TRUNCATED)
         if channel_id == _CONTROL_CHANNEL_ID:
             self._process_control_blocks(parser)
diff --git a/testing/mochitest/pywebsocket/mod_pywebsocket/util.py b/testing/mochitest/pywebsocket/mod_pywebsocket/util.py
index d224ae3942..726c7339b7 100644
--- a/testing/mochitest/pywebsocket/mod_pywebsocket/util.py
+++ b/testing/mochitest/pywebsocket/mod_pywebsocket/util.py
@@ -147,7 +147,7 @@ def wrap_popen3_for_win(cygwin_path):
 
 
 def hexify(s):
-    return ' '.join(map(lambda x: '%02x' % ord(x), s))
+    return ' '.join(['%02x' % ord(x) for x in s])
 
 
 def get_class_logger(o):
@@ -191,11 +191,11 @@ class RepeatedXorMasker(object):
 
         # Use temporary local variables to eliminate the cost to access
         # attributes
-        masking_key = map(ord, self._masking_key)
+        masking_key = list(map(ord, self._masking_key))
         masking_key_size = len(masking_key)
         masking_key_index = self._masking_key_index
 
-        for i in xrange(len(result)):
+        for i in range(len(result)):
             result[i] ^= masking_key[masking_key_index]
             masking_key_index = (masking_key_index + 1) % masking_key_size
 
diff --git a/testing/mochitest/pywebsocket/mod_pywebsocket/xhr_benchmark_handler.py b/testing/mochitest/pywebsocket/mod_pywebsocket/xhr_benchmark_handler.py
index 6735c7e2a3..dd227a410b 100644
--- a/testing/mochitest/pywebsocket/mod_pywebsocket/xhr_benchmark_handler.py
+++ b/testing/mochitest/pywebsocket/mod_pywebsocket/xhr_benchmark_handler.py
@@ -60,7 +60,7 @@ class XHRBenchmarkHandler(object):
         bytes_to_send = request_array[0]
         try:
             bytes_to_send = int(bytes_to_send)
-        except ValueError, e:
+        except ValueError as e:
             self._logger.debug('Malformed size parameter: %r', bytes_to_send)
             return
         self._logger.debug('Requested to send %s bytes', bytes_to_send)
diff --git a/testing/mochitest/pywebsocket/standalone.py b/testing/mochitest/pywebsocket/standalone.py
index e176327439..56cc8c1265 100755
--- a/testing/mochitest/pywebsocket/standalone.py
+++ b/testing/mochitest/pywebsocket/standalone.py
@@ -155,13 +155,13 @@ It may execute arbitrary Python code or external programs. It should not be
 used outside a firewall.
 """
 
-import BaseHTTPServer
-import CGIHTTPServer
-import SimpleHTTPServer
-import SocketServer
-import ConfigParser
+import six.moves.BaseHTTPServer
+import six.moves.CGIHTTPServer
+import six.moves.SimpleHTTPServer
+import six.moves.socketserver
+import six.moves.configparser
 import base64
-import httplib
+import six.moves.http_client
 import logging
 import logging.handlers
 import optparse
@@ -347,7 +347,8 @@ class _StandaloneSSLConnection(object):
 
         try:
             return self._connection.recv(bufsize)
-        except OpenSSL.SSL.SysCallError, (err, message):
+        except OpenSSL.SSL.SysCallError as xxx_todo_changeme:
+            (err, message) = xxx_todo_changeme.args
             if err == -1:
                 # Suppress "unexpected EOF" exception. See the OpenSSL document
                 # for SSL_get_error.
@@ -375,13 +376,13 @@ def _alias_handlers(dispatcher, websock_handlers_map_file):
             try:
                 dispatcher.add_resource_path_alias(
                     m.group(1), m.group(2))
-            except dispatch.DispatchException, e:
+            except dispatch.DispatchException as e:
                 logging.error(str(e))
     finally:
         fp.close()
 
 
-class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
+class WebSocketServer(six.moves.socketserver.ThreadingMixIn, six.moves.BaseHTTPServer.HTTPServer):
     """HTTPServer specialized for WebSocket."""
 
     # Overrides SocketServer.ThreadingMixIn.daemon_threads
@@ -415,7 +416,7 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
         self.__ws_is_shut_down = threading.Event()
         self.__ws_serving = False
 
-        SocketServer.BaseServer.__init__(
+        six.moves.socketserver.BaseServer.__init__(
             self, (options.server_host, options.port), WebSocketRequestHandler)
 
         # Expose the options object to allow handler objects access it. We name
@@ -451,7 +452,7 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
             family, socktype, proto, canonname, sockaddr = addrinfo
             try:
                 socket_ = socket.socket(family, socktype)
-            except Exception, e:
+            except Exception as e:
                 self._logger.info('Skip by failure: %r', e)
                 continue
             server_options = self.websocket_server_options
@@ -489,7 +490,7 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
                 socket_.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
             try:
                 socket_.bind(self.server_address)
-            except Exception, e:
+            except Exception as e:
                 self._logger.info('Skip by failure: %r', e)
                 socket_.close()
                 failed_sockets.append(socketinfo)
@@ -518,7 +519,7 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
             self._logger.info('Listen on: %r', addrinfo)
             try:
                 socket_.listen(self.request_queue_size)
-            except Exception, e:
+            except Exception as e:
                 self._logger.info('Skip by failure: %r', e)
                 socket_.close()
                 failed_sockets.append(socketinfo)
@@ -569,7 +570,7 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
             if server_options.tls_module == _TLS_BY_STANDARD_MODULE:
                 try:
                     accepted_socket.do_handshake()
-                except ssl.SSLError, e:
+                except ssl.SSLError as e:
                     self._logger.debug('%r', e)
                     raise
 
@@ -608,7 +609,7 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
                 # TODO(tyoshino): Convert all kinds of errors.
                 try:
                     accepted_socket.do_handshake()
-                except OpenSSL.SSL.Error, e:
+                except OpenSSL.SSL.Error as e:
                     # Set errno part to 1 (SSL_ERROR_SSL) like the ssl module
                     # does.
                     self._logger.debug('%r', e)
@@ -652,11 +653,11 @@ class WebSocketServer(SocketServer.ThreadingMixIn, BaseHTTPServer.HTTPServer):
         self.__ws_is_shut_down.wait()
 
 
-class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
+class WebSocketRequestHandler(six.moves.CGIHTTPServer.CGIHTTPRequestHandler):
     """CGIHTTPRequestHandler specialized for WebSocket."""
 
     # Use httplib.HTTPMessage instead of mimetools.Message.
-    MessageClass = httplib.HTTPMessage
+    MessageClass = six.moves.http_client.HTTPMessage
 
     def setup(self):
         """Override SocketServer.StreamRequestHandler.setup to wrap rfile
@@ -672,7 +673,7 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
         # Call superclass's setup to prepare rfile, wfile, etc. See setup
         # definition on the root class SocketServer.StreamRequestHandler to
         # understand what this does.
-        CGIHTTPServer.CGIHTTPRequestHandler.setup(self)
+        six.moves.CGIHTTPServer.CGIHTTPRequestHandler.setup(self)
 
         self.rfile = memorizingfile.MemorizingFile(
             self.rfile,
@@ -690,7 +691,7 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
             self.is_executable = self._options.is_executable_method
 
         # This actually calls BaseRequestHandler.__init__.
-        CGIHTTPServer.CGIHTTPRequestHandler.__init__(
+        six.moves.CGIHTTPServer.CGIHTTPRequestHandler.__init__(
             self, request, client_address, server)
 
     def parse_request(self):
@@ -711,7 +712,7 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
         # handling (self.path, self.command, self.requestline, etc. See also
         # how _StandaloneRequest's members are implemented using these
         # attributes).
-        if not CGIHTTPServer.CGIHTTPRequestHandler.parse_request(self):
+        if not six.moves.CGIHTTPServer.CGIHTTPRequestHandler.parse_request(self):
             return False
 
         if self._options.use_basic_auth:
@@ -772,7 +773,7 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
                                   self.path)
                 self._logger.info('Fallback to CGIHTTPRequestHandler')
                 return True
-        except dispatch.DispatchException, e:
+        except dispatch.DispatchException as e:
             self._logger.info('Dispatch failed for error: %s', e)
             self.send_error(e.status)
             return False
@@ -788,14 +789,14 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
                     self._options.dispatcher,
                     allowDraft75=self._options.allow_draft75,
                     strict=self._options.strict)
-            except handshake.VersionException, e:
+            except handshake.VersionException as e:
                 self._logger.info('Handshake failed for version error: %s', e)
                 self.send_response(common.HTTP_STATUS_BAD_REQUEST)
                 self.send_header(common.SEC_WEBSOCKET_VERSION_HEADER,
                                  e.supported_versions)
                 self.end_headers()
                 return False
-            except handshake.HandshakeException, e:
+            except handshake.HandshakeException as e:
                 # Handshake for ws(s) failed.
                 self._logger.info('Handshake failed for error: %s', e)
                 self.send_error(e.status)
@@ -803,7 +804,7 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
 
             request._dispatcher = self._options.dispatcher
             self._options.dispatcher.transfer_data(request)
-        except handshake.AbortedByUserException, e:
+        except handshake.AbortedByUserException as e:
             self._logger.info('Aborted: %s', e)
         return False
 
@@ -831,7 +832,7 @@ class WebSocketRequestHandler(CGIHTTPServer.CGIHTTPRequestHandler):
         rather than a CGI script.
         """
 
-        if CGIHTTPServer.CGIHTTPRequestHandler.is_cgi(self):
+        if six.moves.CGIHTTPServer.CGIHTTPRequestHandler.is_cgi(self):
             if '..' in self.path:
                 return False
             # strip query parameter from request path
@@ -1044,14 +1045,14 @@ def _parse_args_and_config(args):
     if temporary_options.config_file:
         try:
             config_fp = open(temporary_options.config_file, 'r')
-        except IOError, e:
+        except IOError as e:
             logging.critical(
                 'Failed to open configuration file %r: %r',
                 temporary_options.config_file,
                 e)
             sys.exit(1)
 
-        config_parser = ConfigParser.SafeConfigParser()
+        config_parser = six.moves.configparser.SafeConfigParser()
         config_parser.readfp(config_fp)
         config_fp.close()
 
@@ -1172,7 +1173,7 @@ def _main(args=None):
 
         server = WebSocketServer(options)
         server.serve_forever()
-    except Exception, e:
+    except Exception as e:
         logging.critical('mod_pywebsocket: %s' % e)
         logging.critical('mod_pywebsocket: %s' % util.get_stack_trace())
         sys.exit(1)
diff --git a/testing/mochitest/runtests.py b/testing/mochitest/runtests.py
index 07547dd238..79c1cd53cf 100644
--- a/testing/mochitest/runtests.py
+++ b/testing/mochitest/runtests.py
@@ -7,8 +7,10 @@ Runs the Mochitest test harness.
 """
 
 from __future__ import with_statement
+from __future__ import print_function
 import os
 import sys
+import six
 SCRIPT_DIR = os.path.abspath(os.path.realpath(os.path.dirname(__file__)))
 sys.path.insert(0, SCRIPT_DIR)
 
@@ -32,7 +34,7 @@ import sys
 import tempfile
 import time
 import traceback
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import uuid
 import zipfile
 import bisection
@@ -51,7 +53,7 @@ from manifestparser.filters import (
 try:
     from marionette_driver.addons import Addons
     from marionette_harness import Marionette
-except ImportError, e:
+except ImportError as e:
     # Defer ImportError until attempt to use Marionette
     def reraise(*args, **kwargs):
         raise(e)
@@ -63,7 +65,7 @@ from mochitest_options import (
 )
 from mozprofile import Profile, Preferences
 from mozprofile.permissions import ServerLocations
-from urllib import quote_plus as encodeURIComponent
+from urllib.parse import quote_plus as encodeURIComponent
 from mozlog.formatters import TbplFormatter
 from mozlog import commandline
 from mozrunner.utils import get_stack_fixer_function, test_environment
@@ -179,8 +181,8 @@ class MessageLogger(object):
         if 'message' in message:
             if isinstance(message['message'], bytes):
                 message['message'] = message['message'].decode('utf-8', 'replace')
-            elif not isinstance(message['message'], unicode):
-                message['message'] = unicode(message['message'])
+            elif not isinstance(message['message'], str):
+                message['message'] = str(message['message'])
 
     def parse_line(self, line):
         """Takes a given line of input (structured or not) and
@@ -472,7 +474,7 @@ class MochitestServer(object):
 
     def stop(self):
         try:
-            with urllib2.urlopen(self.shutdownURL) as c:
+            with six.moves.urllib.request.urlopen(self.shutdownURL) as c:
                 c.read()
 
             # TODO: need ProcessHandler.poll()
@@ -717,7 +719,7 @@ def findTestMediaDevices(log):
     def sine_source_loaded():
         o = subprocess.check_output(
             ['/usr/bin/pactl', 'list', 'short', 'modules'])
-        return filter(lambda x: 'module-sine-source' in x, o.splitlines())
+        return [x for x in o.splitlines() if 'module-sine-source' in x]
 
     if not sine_source_loaded():
         # Load module-sine-source
@@ -850,7 +852,7 @@ class MochitestDesktop(object):
         try:
             return dict(parseKeyValue(extraPrefs, context='--setpref='))
         except KeyValueParseError as e:
-            print str(e)
+            print(str(e))
             sys.exit(1)
 
     def getFullPath(self, path):
@@ -1448,7 +1450,7 @@ toolbar#nav-bar {
 
         # strip certain unnecessary items to avoid serialization errors in json.dumps()
         d = dict((k, v) for k, v in options.__dict__.items() if (v is None) or
-                 isinstance(v, (basestring, numbers.Number)))
+                 isinstance(v, (str, numbers.Number)))
         d['testRoot'] = self.testRoot
         if options.jscov_dir_prefix:
             d['jscovDirPrefix'] = options.jscov_dir_prefix
@@ -2213,7 +2215,7 @@ toolbar#nav-bar {
 
         result = 1  # default value, if no tests are run.
         for d in dirs:
-            print "dir: %s" % d
+            print("dir: %s" % d)
 
             # BEGIN LEAKCHECK HACK
             # Leak checking was broken in mochitest unnoticed for a length of time. During
@@ -2255,20 +2257,20 @@ toolbar#nav-bar {
 
         # printing total number of tests
         if options.flavor == 'browser':
-            print "TEST-INFO | checking window state"
-            print "Browser Chrome Test Summary"
-            print "\tPassed: %s" % self.countpass
-            print "\tFailed: %s" % self.countfail
-            print "\tTodo: %s" % self.counttodo
-            print "\tMode: %s" % e10s_mode
-            print "*** End BrowserChrome Test Results ***"
+            print("TEST-INFO | checking window state")
+            print("Browser Chrome Test Summary")
+            print("\tPassed: %s" % self.countpass)
+            print("\tFailed: %s" % self.countfail)
+            print("\tTodo: %s" % self.counttodo)
+            print("\tMode: %s" % e10s_mode)
+            print("*** End BrowserChrome Test Results ***")
         else:
-            print "0 INFO TEST-START | Shutdown"
-            print "1 INFO Passed:  %s" % self.countpass
-            print "2 INFO Failed:  %s" % self.countfail
-            print "3 INFO Todo:    %s" % self.counttodo
-            print "4 INFO Mode:    %s" % e10s_mode
-            print "5 INFO SimpleTest FINISHED"
+            print("0 INFO TEST-START | Shutdown")
+            print("1 INFO Passed:  %s" % self.countpass)
+            print("2 INFO Failed:  %s" % self.countfail)
+            print("3 INFO Todo:    %s" % self.counttodo)
+            print("4 INFO Mode:    %s" % e10s_mode)
+            print("5 INFO SimpleTest FINISHED")
 
         return result
 
@@ -2687,7 +2689,7 @@ def run_test_harness(parser, options):
     parser.validate(options)
 
     logger_options = {
-        key: value for key, value in vars(options).iteritems()
+        key: value for key, value in vars(options.items())
         if key.startswith('log') or key == 'valgrind'}
 
     runner = MochitestDesktop(logger_options, quiet=options.quiet)
diff --git a/testing/mozbase/docs/_static/structured_example.py b/testing/mozbase/docs/_static/structured_example.py
index 2bbc038103..3a888fe338 100644
--- a/testing/mozbase/docs/_static/structured_example.py
+++ b/testing/mozbase/docs/_static/structured_example.py
@@ -12,7 +12,7 @@ class TestAssertion(Exception):
 
 def assert_equals(a, b):
     if a != b:
-        raise TestAssertion("%r not equal to %r" % (a, b))
+        raise TestAssertion("{!r} not equal to {!r}".format(a, b))
 
 
 def expected(status):
@@ -42,13 +42,13 @@ def test_expected_fail():
     assert_equals(2 + 2, 5)
 
 
-class TestRunner(object):
+class TestRunner:
 
     def __init__(self):
         self.logger = get_default_logger(component='TestRunner')
 
     def gather_tests(self):
-        for item in globals().itervalues():
+        for item in globals(.values()):
             if isinstance(item, types.FunctionType) and item.__name__.startswith("test_"):
                 yield item.__name__, item
 
diff --git a/testing/mozbase/docs/conf.py b/testing/mozbase/docs/conf.py
index 95d6de64ba..e2cf079996 100644
--- a/testing/mozbase/docs/conf.py
+++ b/testing/mozbase/docs/conf.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # MozBase documentation build configuration file, created by
 # sphinx-quickstart on Mon Oct 22 14:02:17 2012.
@@ -47,8 +46,8 @@ source_suffix = '.rst'
 master_doc = 'index'
 
 # General information about the project.
-project = u'MozBase'
-copyright = u'2012, Mozilla Automation and Tools team'
+project = 'MozBase'
+copyright = '2012, Mozilla Automation and Tools team'
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
@@ -199,8 +198,8 @@ latex_elements = {
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-    ('index', 'MozBase.tex', u'MozBase Documentation',
-     u'Mozilla Automation and Tools team', 'manual'),
+    ('index', 'MozBase.tex', 'MozBase Documentation',
+     'Mozilla Automation and Tools team', 'manual'),
 ]
 
 # The name of an image file (relative to this directory) to place at the top of
@@ -229,8 +228,8 @@ latex_documents = [
 # One entry per manual page. List of tuples
 # (source start file, name, description, authors, manual section).
 man_pages = [
-    ('index', 'mozbase', u'MozBase Documentation',
-     [u'Mozilla Automation and Tools team'], 1)
+    ('index', 'mozbase', 'MozBase Documentation',
+     ['Mozilla Automation and Tools team'], 1)
 ]
 
 # If true, show URL addresses after external links.
@@ -243,8 +242,8 @@ man_pages = [
 # (source start file, target name, title, author,
 #  dir menu entry, description, category)
 texinfo_documents = [
-    ('index', 'MozBase', u'MozBase Documentation',
-     u'Mozilla Automation and Tools team', 'MozBase', 'One line description of project.',
+    ('index', 'MozBase', 'MozBase Documentation',
+     'Mozilla Automation and Tools team', 'MozBase', 'One line description of project.',
      'Miscellaneous'),
 ]
 
diff --git a/testing/mozbase/manifestparser/manifestparser/cli.py b/testing/mozbase/manifestparser/manifestparser/cli.py
index 482575d292..d5d18580eb 100644
--- a/testing/mozbase/manifestparser/manifestparser/cli.py
+++ b/testing/mozbase/manifestparser/manifestparser/cli.py
@@ -7,6 +7,7 @@
 Mozilla universal manifest parser
 """
 
+from __future__ import print_function
 from optparse import OptionParser
 import os
 import sys
@@ -81,7 +82,7 @@ class Copy(CLICommand):
         # parse the arguments
         try:
             kwargs, tags, args = parse_args(args)
-        except ParserError, e:
+        except ParserError as e:
             self._parser.error(e.message)
 
         # make sure we have some manifests, otherwise it will
@@ -132,7 +133,7 @@ class CreateCLI(CLICommand):
             manifest = convert(args, pattern=options.pattern, ignore=options.ignore,
                                write=options.in_place)
         if manifest:
-            print manifest
+            print(manifest)
 
 
 class WriteCLI(CLICommand):
@@ -146,7 +147,7 @@ class WriteCLI(CLICommand):
         # parse the arguments
         try:
             kwargs, tags, args = parse_args(args)
-        except ParserError, e:
+        except ParserError as e:
             self._parser.error(e.message)
 
         # make sure we have some manifests, otherwise it will
@@ -175,9 +176,9 @@ class HelpCLI(CLICommand):
             commands[args[0]](self._parser).parser().print_help()
         else:
             self._parser.print_help()
-            print '\nCommands:'
+            print('\nCommands:')
             for command in sorted(commands):
-                print '  %s : %s' % (command, commands[command].__doc__.strip())
+                print(('  %s : %s' % (command, commands[command].__doc__.strip())))
 
 
 class UpdateCLI(CLICommand):
@@ -190,7 +191,7 @@ class UpdateCLI(CLICommand):
         # parse the arguments
         try:
             kwargs, tags, args = parse_args(args)
-        except ParserError, e:
+        except ParserError as e:
             self._parser.error(e.message)
 
         # make sure we have some manifests, otherwise it will
